Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

todoedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: todoedit.php 9750 2003-01-03 16:12:28Z br $
5 //
6 // Definition of todo list.
7 //
8 // Created on: <04-Sep-2000 16:53:15 ce>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29 // include_once( "classes/ezhttptool.php" );
30
31 // deletes the dayview cache file for a given day
32 function deleteCache( $SiteDesign, $language, $year, $month, $day, $userID )
33 {
34 @eZPBFile::unlink( "kernel/ezcalendar/user/cache/dayview.tpl-$SiteDesign-$language-$year-$month-$day-$userID.cache" );
35 @eZPBFile::unlink( "kernel/ezcalendar/user/cache/monthview.tpl-$SiteDesign-$language-$year-$month-$userID.cache" );
36 @eZPBFile::unlink( "kernel/ezcalendar/user/cache/dayview.tpl-$SiteDesign-$language-$year-$month-$day-$userID-private.cache" );
37 @eZPBFile::unlink( "kernel/ezcalendar/user/cache/monthview.tpl-$SiteDesign-$language-$year-$month-$userID-private.cache" );
38 }
39
40 //Adds a "0" in front of the value if it's below 10.
41 function addZero( $value )
42 {
43 settype( $value, "integer" );
44 $ret = $value;
45 if ( $ret < 10 )
46 {
47 $ret = "0". $ret;
48 }
49 return $ret;
50 }
51
52 if ( isset( $Delete ) )
53 {
54 $Action = "delete";
55 }
56 if ( isset( $List ) )
57 {
58 eZHTTPTool::header( "Location: /todo" );
59 exit();
60 }
61 if ( isset( $Edit ) )
62 {
63 $Action = "edit";
64 }
65
66 if ( isset( $Cancel ) )
67 {
68 eZHTTPTool::header( "Location: /todo" );
69 exit();
70 }
71
72 // include_once( "classes/INIFile.php" );
73
74 $ini =& eZINI::instance( 'site.ini' );
75
76 $Language = $ini->variable( "eZTodoMain", "Language" );
77 $NotDoneID = $ini->variable( "eZTodoMain", "NotDoneID" );
78
79 $iniLanguage = new eZINI( "kernel/eztodo/user/intl/" . $Language . "/todoedit.php.ini", false );
80
81 // include_once( "classes/eztemplate.php" );
82 // include_once( "classes/ezdatetime.php" );
83 // include_once( "classes/ezlocale.php" );
84 // include_once( "classes/ezdate.php" );
85 // include_once( "classes/eztime.php" );
86 // include_once( "ezmail/classes/ezmail.php" );
87 // include_once( "eztodo/classes/eztodo.php" );
88 // include_once( "eztodo/classes/ezcategory.php" );
89 // include_once( "eztodo/classes/ezpriority.php" );
90 // include_once( "eztodo/classes/ezstatus.php" );
91 // include_once( "eztodo/classes/eztodolog.php" );
92
93 // include_once( "ezuser/classes/ezuser.php" );
94 // include_once( "ezuser/classes/ezpermission.php" );
95 // include_once( "ezuser/classes/ezusergroup.php" );
96
97 $locale = new eZLocale( $Language );
98
99 $user =& eZUser::currentUser();
100 $redirect = true;
101
102 if ( isset( $AddLog ) )
103 {
104 $log = new eZTodoLog();
105 $log->setLog( $Log );
106 $log->store();
107 $todo = new eZTodo( $TodoID );
108 $todo->addLog( $log );
109
110 $Action = "update";
111 $redirect = false;
112 }
113
114 if ( !$user )
115 {
116 eZHTTPTool::header( "Location: /error/403/" );
117 exit();
118 }
119
120 $CategoryID = eZHTTPTool::getVar( "CategoryID", true );
121 $PriorityID = eZHTTPTool::getVar( "PriorityID", true );
122 $UserID = eZHTTPTool::getVar( "UserID", true );
123 $Name = eZHTTPTool::getVar( "Name", true );
124 $Description = eZHTTPTool::getVar( "Description", true );
125 $StatusID = eZHTTPTool::getVar( "StatusID", true );
126
127 $t = new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
128 "kernel/eztodo/user/intl", $Language, "todoedit.php" );
129 $t->setAllStrings();
130
131 $t->set_file( "todo_edit_page", "todoedit.tpl" );
132
133 $t->set_block( "todo_edit_page", "category_select_tpl", "category_select" );
134 $t->set_block( "todo_edit_page", "priority_select_tpl", "priority_select" );
135 $t->set_block( "todo_edit_page", "status_select_tpl", "status_select" );
136 $t->set_block( "todo_edit_page", "user_item_tpl", "user_item" );
137 $t->set_block( "todo_edit_page", "send_mail_tpl", "send_mail" );
138 $t->set_block( "todo_edit_page", "day_item_tpl", "day_item" );
139
140 $t->set_block( "todo_edit_page", "list_logs_tpl", "list_logs" );
141 $t->set_block( "list_logs_tpl", "log_item_tpl", "log_item" );
142
143 $t->set_block( "todo_edit_page", "errors_tpl", "errors" );
144 $t->set_var( "errors", "&nbsp;" );
145
146 $t->set_var( "name", $Name );
147 $t->set_var( "description", $Description );
148 $t->set_var( "list_logs", "" );
149 $t->set_var( "send_mail", "" );
150 $t->set_var( "log_item", "" );
151
152 $error = false;
153 $nameCheck = true;
154 $permissionCheck = true;
155 $descriptionCheck = false;
156 $userCheck = true;
157
158 $t->set_block( "errors_tpl", "error_name_tpl", "error_name" );
159 $t->set_var( "error_name", "&nbsp;" );
160
161 $t->set_block( "errors_tpl", "error_description_tpl", "error_description" );
162 $t->set_var( "error_description", "&nbsp;" );
163
164 $t->set_block( "errors_tpl", "error_permission_tpl", "error_permission" );
165 $t->set_var( "error_permission", "&nbsp;" );
166
167 $t->set_block( "errors_tpl", "error_user_tpl", "error_user" );
168 $t->set_var( "error_user", "&nbsp;" );
169
170
171 if ( ( $userCheck ) && ( $Action == "update" ) || ( $Action == "updateStatus" ) )
172 {
173 $todo = new eZTodo( $TodoID );
174
175 if ( ( $todo->userID() == $user->id() ) || ( $todo->ownerID() == $user->id() ) ||
176 ( eZPermission::checkPermission( $user, "eZTodo", "EditOthers" ) == true ) )
177 {
178 }
179 else
180 {
181 $t->parse( "error_user", "error_user_tpl" );
182 $error = true;
183 }
184 }
185
186
187 if ( isset( $Action ) && $Action == "insert" || isset( $Action ) && $Action == "update" )
188 {
189 if ( $nameCheck )
190 {
191 if ( empty( $Name ) )
192 {
193 $t->parse( "error_name", "error_name_tpl" );
194 $error = true;
195 }
196 }
197 if ( $descriptionCheck )
198 {
199 if ( empty( $Description ) )
200 {
201 $t->parse( "error_description", "error_description_tpl" );
202 $error = true;
203 }
204 }
205 if ( $user->id() != $UserID )
206 {
207 if ( eZPermission::checkPermission( $user, "eZTodo", "AddOthers" ) == false )
208 {
209 $t->parse( "error_permission", "error_permission_tpl" );
210 $error = true;
211 }
212 }
213 if ( $DeadlineYear > 0 )
214 {
215 $Due = new eZDateTime( $DeadlineYear, $DeadlineMonth, $DeadlineDay );
216 }
217 else
218 {
219 $Due = "";
220 }
221 }
222
223 if ( $error )
224 {
225 $t->parse( "errors", "errors_tpl" );
226 }
227
228 // Save a todo in the database.
229 if ( isset( $Action ) && $Action == "insert" && $error == false )
230 {
231 $todo = new eZTodo();
232 $todo->setName( $Name );
233 $todo->setDescription( $Description );
234 $todo->setCategoryID( $CategoryID );
235 $todo->setPriorityID( $PriorityID );
236 $todo->setDue( $Due );
237 $todo->setUserID( $UserID );
238 $todo->setOwnerID( $user->id() );
239 $todo->setStatusID( $StatusID );
240 $date = new eZDateTime();
241
242 if ( $IsPublic == "on" )
243 {
244 $todo->setIsPublic( true );
245 }
246 else
247 {
248 $todo->setIsPublic( false );
249 }
250
251 $todo->store();
252 deleteCache( "default", $Language, $Due->year(), addZero( $Due->month() ) , addZero( $Due->day() ), $UserID );
253 if ( $SendMail == "on" )
254 {
255 $mailTemplate = new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
256 "kernel/eztodo/user/intl", $Language, "sendmail.php" );
257
258 $mailTemplate->setAllStrings();
259 $mailTemplate->set_file( "send_mail_tpl", "sendmail.tpl" );
260
261 $mailTemplate->set_block( "send_mail_tpl", "todo_is_public_tpl", "todo_is_public" );
262 $mailTemplate->set_block( "send_mail_tpl", "todo_is_not_public_tpl", "todo_is_not_public" );
263
264 $category = new eZCategory( $CategoryID );
265 $priority = new eZPriority( $PriorityID );
266 $status = new eZStatus ( $StatusID );
267 $owner = new eZUser( $user->id() );
268 $user = new eZUser( $UserID );
269
270 if ( $todo->IsPublic() )
271 {
272 $mailTemplate->set_var( "todo_is_not_public", "" );
273 $mailTemplate->parse( "todo_is_public", "todo_is_public_tpl" );
274 }
275 else
276 {
277 $mailTemplate->set_var( "todo_is_public", "" );
278 $mailTemplate->parse( "todo_is_not_public", "todo_is_not_public_tpl" );
279 }
280
281 $mailTemplate->set_var( "todo_name", $Name );
282 $mailTemplate->set_var( "todo_category", $category->name() );
283 $mailTemplate->set_var( "todo_priority", $priority->name() );
284 $mailTemplate->set_var( "todo_status", $status->name() );
285 $mailTemplate->set_var( "todo_owner", $owner->firstName() . " " . $owner->lastName() );
286 $mailTemplate->set_var( "todo_description", $Description );
287
288 $mail = new eZMail();
289 $mail->setSubject( "Todo: " . $Name );
290 $mail->setFrom( $owner->email() );
291 $mail->setTo( $user->email() );
292 $mail->setBody( $mailTemplate->parse( "dummy", "send_mail_tpl" ) );
293
294 $mail->send();
295 }
296
297 eZHTTPTool::header( "Location: /todo/todolist" );
298 exit();
299 }
300
301
302 // Update a todo in the database.
303 if ( isset( $Action ) && $Action == "update" && $error == false )
304 {
305 $userID = $user->ID();
306 $todo = new eZTodo();
307 $todo->get( $TodoID );
308 $oldDue = $todo->due();
309
310 if ( $oldDue )
311 {
312 deleteCache( "default", $Language, $oldDue->year(), addZero( $oldDue->month() ) , addZero( $oldDue->day() ), $userID );
313 }
314 deleteCache( "default", $Language, $DeadlineYear, addZero( $DeadlineMonth ), addZero( $DeadlineDay ), $userID );
315
316 $oldstatus = $todo->statusID();
317
318 $todo->setName( $Name );
319 $todo->setDescription( $Description );
320 $todo->setCategoryID( $CategoryID );
321 $todo->setPriorityID( $PriorityID );
322 $todo->setDue( $Due );
323 $todo->setUserID( $userID );
324 $todo->setStatusID( $StatusID );
325
326 if ( $IsPublic == "on" )
327 {
328 $todo->setIsPublic( true );
329 }
330 else
331 {
332 $todo->setIsPublic( false );
333 }
334 $todo->store();
335
336 if ( ( $MailLog ) && ( is_a( $log, "eZTodoLog" ) ) )
337 {
338 $mailTemplate = new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
339 "kernel/eztodo/user/intl", $Language, "maillog.php" );
340
341 $mailTemplate->setAllStrings();
342
343 $mailTemplate->set_file( "send_mail_tpl", "maillog.tpl" );
344
345 $mailTemplate->set_block( "send_mail_tpl", "todo_is_public_tpl", "todo_is_public" );
346 $mailTemplate->set_block( "send_mail_tpl", "todo_is_not_public_tpl", "todo_is_not_public" );
347
348 $category = new eZCategory( $CategoryID );
349 $priority = new eZPriority( $PriorityID );
350 $status = new ezStatus( $StatusID );
351 $owner = new eZUser( $user->id() );
352 $user = new eZUser( $UserID );
353
354 if ( $todo->IsPublic() )
355 {
356 $mailTemplate->set_var( "todo_is_not_public", "" );
357 $mailTemplate->parse( "todo_is_public", "todo_is_public_tpl" );
358 }
359 else
360 {
361 $mailTemplate->set_var( "todo_is_public", "" );
362 $mailTemplate->parse( "todo_is_not_public", "todo_is_not_public_tpl" );
363 }
364
365 $locale = new eZLocale( $Language );
366 $mailTemplate->set_var( "todo_name", $Name );
367 $mailTemplate->set_var( "todo_category", $category->name() );
368 $mailTemplate->set_var( "todo_priority", $priority->name() );
369 $mailTemplate->set_var( "todo_status", $status->name() );
370 $mailTemplate->set_var( "todo_owner", $owner->firstName() . " " . $owner->lastName() );
371 $mailTemplate->set_var( "todo_description", $Description );
372
373 $mailTemplate->set_var( "time", $locale->format( $log->created() ) );
374 $mailTemplate->set_var( "log", $log->log() );
375
376 $mail = new eZMail();
377 $mail->setSubject( "Todo log: " . $Name );
378 $mail->setFrom( $owner->email() );
379 $mail->setTo( $user->email() );
380 $mail->setBody( $mailTemplate->parse( "dummy", "send_mail_tpl" ) );
381
382 $mail->send();
383
384 }
385
386 if ( $redirect )
387 {
388 eZHTTPTool::header( "Location: /todo/todolist/" );
389 exit();
390 }
391 else
392 {
393 $Action = "edit";
394 }
395 }
396
397 // Delete a todo in the database.
398 if ( isset( $Action ) && $Action == "delete" )
399 {
400 $todo = new eZTodo();
401 $todo->get( $TodoID );
402 if ( $todo->userID == $user->id() || $todo->ownerID == $user->id() )
403 $todo->delete();
404 eZHTTPTool::header( "Location: /todo/todolist/" );
405 exit();
406 }
407
408 if ( isset( $Action ) && $Action == "new" )
409 {
410 $Deadline = new eZDateTime();
411 $DeadlineDay = $Deadline->day();
412 $DeadlineMonth = $Deadline->month();
413 $DeadlineYear = $Deadline->year();
414 $action_value = "insert";
415 $name = "";
416 $description = "";
417 $year = "";
418 $mnd = "";
419 $day = "";
420 $hour = "";
421 $min = "";
422 $Comment = "";
423 $categoryID = false;
424 $priorityID = false;
425 $t->set_var( "text", "" );
426 $t->parse( "send_mail", "send_mail_tpl" );
427 }
428
429 if ( $error )
430 {
431 $priorityID = $PriorityID;
432 $t->set_var( "todo_is_public", $IsPublic == "on" ? "checked" : "" );
433 $t->set_var( "send_mail_checkbox", $SendMail == "on" ? "checked" : "" );
434 $t->parse( "send_mail", "send_mail_tpl" );
435 }
436
437 // default user
438 $OwnerID = $user->id();
439
440 $datetime = new eZDateTime();
441
442 if ( isset( $Action ) && $Action == "new" || $error )
443 {
444 $t->set_var( "current_date", $locale->format( $datetime ) );
445 $t->set_var( "first_name", $user->firstName() );
446 $t->set_var( "last_name", $user->lastName() );
447 $t->set_var( "todo_id", "" );
448 $t->set_var( "action_value", "insert" );
449
450 for ( $i = 1; $i <= 31; $i++ )
451 {
452 $t->set_var( "day_id", $i );
453 $t->set_var( "day_value", $i );
454 $t->set_var( "selected", "" );
455 if ( ( $DeadlineDay == "" and $i == 1 ) or $DeadlineDay == $i )
456 $t->set_var( "selected", "selected" );
457 $t->parse( "day_item", "day_item_tpl", true );
458 }
459
460 $month_array = array( 1 => "select_january",
461 2 => "select_february",
462 3 => "select_march",
463 4 => "select_april",
464 5 => "select_may",
465 6 => "select_june",
466 7 => "select_july",
467 8 => "select_august",
468 9 => "select_september",
469 10 => "select_october",
470 11 => "select_november",
471 12 => "select_december" );
472
473 for ( $i = 1; $i <= count( $month_array ); $i++ )
474 {
475 if ( $i == $DeadlineMonth )
476 $t->set_var( $month_array[$i], "selected" );
477 else
478 $t->set_var( $month_array[$i], "" );
479 }
480
481 if ( $DeadlineYear > 0 )
482 $t->set_var( "deadlineyear", $DeadlineYear );
483 else
484 $t->set_var( "deadlineyear", "" );
485
486 $t->set_var( "comment", $Comment );
487
488 $userID = $user->id();
489 }
490
491 // Edit a todo.
492 if ( $Action == "edit" )
493 {
494 // Return the current time
495
496 $todo = new eZTodo( $TodoID );
497
498 if ( $todo->status() == true )
499 {
500 $t->set_var( "status", "checked" );
501 }
502 else
503 {
504 $t->set_var( "status", "" );
505 }
506
507 if ( $todo->IsPublic() )
508 {
509 $t->set_var( "todo_is_public", "checked" );
510 }
511 else
512 {
513 $t->set_var( "todo_is_public", "" );
514 }
515
516 $t->set_var( "todo_id", $todo->id() );
517 $t->set_var( "name", $todo->name() );
518 $t->set_var( "description", $todo->description() );
519
520 $categoryID = $todo->categoryID();
521 $priorityID = $todo->priorityID();
522 $userID = $todo->userID();
523 $ownerID = $todo->ownerID();
524 $StatusID = $todo->statusID();
525
526 $duestamp = $todo->due();
527 if ( $duestamp )
528 {
529 $DeadlineDay = $duestamp->day();
530 $DeadlineMonth = $duestamp->month();
531 $DeadlineYear = $duestamp->year();
532 }
533 else
534 {
535 $DeadlineDay = "";
536 $DeadlineMonth = "";
537 $DeadlineYear = "";
538 }
539 // Get the owner
540 $owner = new eZUser( $todo->ownerID() );
541 $t->set_var( "first_name", $owner->firstName() );
542 $t->set_var( "last_name", $owner->lastName() );
543
544 $logs = $todo->logs();
545
546 if ( count( $logs ) > 0 )
547 {
548 foreach ( $logs as $log )
549 {
550 $t->set_var( "log_view", $log->log() );
551 $t->set_var( "log_created", $locale->format( $log->created() ) );
552
553 $t->parse( "log_item", "log_item_tpl", true );
554 }
555 }
556 $t->parse( "list_logs", "list_logs_tpl" );
557
558 for ( $i = 1; $i <= 31; $i++ )
559 {
560 $t->set_var( "day_id", $i );
561 $t->set_var( "day_value", $i );
562 $t->set_var( "selected", "" );
563 if ( ( $DeadlineDay == "" and $i == 1 ) or $DeadlineDay == $i )
564 $t->set_var( "selected", "selected" );
565 $t->parse( "day_item", "day_item_tpl", true );
566 }
567
568 $month_array = array( 1 => "select_january",
569 2 => "select_february",
570 3 => "select_march",
571 4 => "select_april",
572 5 => "select_may",
573 6 => "select_june",
574 7 => "select_july",
575 8 => "select_august",
576 9 => "select_september",
577 10 => "select_october",
578 11 => "select_november",
579 12 => "select_december" );
580
581 foreach ( $month_array as $month )
582 {
583 $t->set_var( $month, "" );
584 }
585
586 $var_name =& $month_array[$DeadlineMonth];
587 if ( $var_name == "" )
588 $var_name =& $month_array[1];
589
590 $t->set_var( $var_name, "selected" );
591
592 $t->set_var( "deadlineyear", $DeadlineYear );
593
594 $t->set_var( "comment", $Comment );
595
596 $headline = "Rediger todo";
597 $submit_description = "Rediger";
598
599 $t->set_var( "action_value", "update" );
600 }
601
602 // Category selector.
603 $category = new eZCategory();
604 $category_array = $category->getAll();
605
606 for ( $i = 0; $i < count( $category_array ); $i++ )
607 {
608 $t->set_var( "category_id", $category_array[$i]->id() );
609 $t->set_var( "category_name", $category_array[$i]->name() );
610
611 if ( $categoryID == $category_array[$i]->id() )
612 {
613 $t->set_var( "is_selected", "selected" );
614 }
615 else
616 {
617 $t->set_var( "is_selected", "" );
618 }
619 $t->parse( "category_select", "category_select_tpl", true );
620 }
621
622 // Priority selector.
623 $priority = new eZPriority();
624 $priority_array = $priority->getAll();
625
626 for ( $i = 0; $i < count( $priority_array ); $i++ )
627 {
628 $t->set_var( "priority_id", $priority_array[$i]->id() );
629 $t->set_var( "priority_name", $priority_array[$i]->name() );
630
631 if ( $priorityID == $priority_array[$i]->id() )
632 {
633 $t->set_var( "is_selected", "selected" );
634 }
635 else
636 {
637 $t->set_var( "is_selected", "" );
638 }
639
640 $t->parse( "priority_select", "priority_select_tpl", true );
641 }
642
643 // Status selector
644 $status = new eZStatus();
645 $status_array = $status->getAll();
646
647 if ( $Action == "new")
648 $StatusID = $NotDoneID;
649
650 for ( $i = 0; $i < count( $status_array ); $i++ )
651 {
652 $t->set_var( "status_id", $status_array[$i]->id() );
653 $t->set_var( "status_name", $status_array[$i]->name() );
654
655 if ( $StatusID == $status_array[$i]->id() )
656 {
657 $t->set_var( "is_selected", "selected" );
658 }
659 else
660 {
661 $t->set_var( "is_selected", "" );
662 }
663
664 $t->parse( "status_select", "status_select_tpl", true );
665 }
666
667
668 // User selector.
669
670 $user =& eZUser::currentUser();
671 $user_array = $user->getAll();
672
673 foreach ( $user_array as $userItem )
674 {
675 $t->set_var( "user_id", $userItem->id() );
676 $t->set_var( "user_firstname", $userItem->firstName() );
677 $t->set_var( "user_lastname", $userItem->lastName() );
678
679 // User select
680 if ( $UserID == $userItem->id() )
681 {
682 $t->set_var( "user_is_selected", "selected" );
683 }
684 else
685 {
686 if ( $user->id() == $userItem->id() )
687 {
688 $t->set_var( "user_is_selected", "selected" );
689 }
690 else
691 {
692 $t->set_var( "user_is_selected", "" );
693 }
694 }
695
696 $t->parse( "user_item", "user_item_tpl", true );
697 }
698
699 // Template variables.
700
701 $t->pparse( "output", "todo_edit_page" );
702
703 ?>
$i
$i
Definition: admin/adlist.php:91
$day
else $day
Definition: appointmentedit.php:665
$year
else $year
Definition: appointmentedit.php:655
$userID
else $userID
Definition: appointmentedit.php:121
$month
else $month
Definition: appointmentedit.php:660
$owner
$owner
Definition: bugedit.php:555
$date
$date
Definition: bugpreview.php:66
eZCategory
Definition: ezcategory.php:36
eZDateTime
Definition: ezdatetime.php:55
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZHTTPTool\getVar
static getVar( $name, $onlyCheckPost=false)
Definition: ezhttptool.php:55
eZINI
Reads and writes .ini style configuration files.
eZLocale
Definition: ezlocale.php:119
eZMail
Definition: ezmail.php:57
eZPBFile\unlink
static unlink( $filename)
Definition: ezpbfile.php:352
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZPriority
Definition: ezpriority.php:35
eZStatus
Definition: ezstatus.php:36
eZTemplate
Definition: eztemplate.php:107
eZTodoLog
Definition: eztodolog.php:42
eZTodo
Definition: eztodo.php:39
eZUser
Definition: ezuser.php:76
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$name
$name
Definition: companytypelist.php:194
$hour
$hour
Definition: export_froogle.php:310
$mail
$mail
Definition: ezbulkmail/admin/maillist.php:61
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
$headline
$headline
Definition: ezforum/admin/categoryedit.php:225
$action_value
$action_value
Definition: ezforum/admin/categoryedit.php:212
$Edit
$Edit
Definition: ezmessage/user/messageedit.php:120
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
exit
exit
Definition: folder.php:81
$language
$language
Definition: messageform.php:32
$Comment
$Comment
Definition: payment.php:133
$categoryID
else $categoryID
Definition: productview.php:66
$iniLanguage
$iniLanguage
Definition: todoedit.php:79
$status
for( $i=0; $i< count( $priority_array); $i++) $status
Definition: todoedit.php:644
$priority_array
$priority_array
Definition: todoedit.php:624
$datetime
$datetime
Definition: todoedit.php:440
$Description
$Description
Definition: todoedit.php:124
$UserID
$UserID
Definition: todoedit.php:122
$userCheck
$userCheck
Definition: todoedit.php:156
$StatusID
$StatusID
Definition: todoedit.php:125
$locale
$locale
Definition: todoedit.php:97
$t
$t
Definition: todoedit.php:127
$descriptionCheck
$descriptionCheck
Definition: todoedit.php:155
$PriorityID
$PriorityID
Definition: todoedit.php:121
$user_array
$user_array
Definition: todoedit.php:671
$category_array
$category_array
Definition: todoedit.php:604
$ini
if(isset( $Delete)) if(isset( $List)) if(isset( $Edit)) if(isset( $Cancel)) $ini
Definition: todoedit.php:74
$user
$user
Definition: todoedit.php:99
$priority
for( $i=0; $i< count( $category_array); $i++) $priority
Definition: todoedit.php:623
$Language
$Language
Definition: todoedit.php:76
addZero
addZero( $value)
Definition: todoedit.php:41
$Name
$Name
Definition: todoedit.php:123
$category
if(isset( $Action) && $Action=="new"|| $error) if( $Action=="edit") $category
Definition: todoedit.php:603
$permissionCheck
$permissionCheck
Definition: todoedit.php:154
deleteCache
deleteCache( $SiteDesign, $language, $year, $month, $day, $userID)
Definition: todoedit.php:32
$nameCheck
$nameCheck
Definition: todoedit.php:153
$redirect
$redirect
Definition: todoedit.php:100
$CategoryID
if(isset( $AddLog)) if(! $user) $CategoryID
Definition: todoedit.php:120
$OwnerID
if(( $userCheck) &&( $Action=="update")||( $Action=="updateStatus")) if(isset( $Action) && $Action=="insert"||isset( $Action) && $Action=="update") if( $error) if(isset( $Action) && $Action=="insert" && $error==false) if(isset( $Action) && $Action=="update" && $error==false) if(isset( $Action) && $Action=="delete") if(isset( $Action) && $Action=="new") if( $error) $OwnerID
Definition: todoedit.php:438
$error
$error
Definition: todoedit.php:152
$status_array
$status_array
Definition: todoedit.php:645
$NotDoneID
$NotDoneID
Definition: todoedit.php:77
$todo
$todo
Definition: todolist.php:125
$logs
$logs
Definition: todoview.php:92
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.